#body:not(.desktop) #main_widget:not(.forstudent) .link {
	padding-top: .3em;
	padding-bottom: .3em;
}
#main_widget .button:last-child {
	margin-bottom: 0;
}
#main_widget a:not(.button) {
	line-height: 2;
}

.outlinebtn {
	background: transparent;
	border: 2px solid #FFF;
	color: #FFF;
	outline: none;
	box-shadow: none;
	line-height: normal;
	padding: .6em 1em;
	border-radius: 3em;
	font-weight: bold;
	transition: all .3s;
	cursor: pointer;

	display: flex;
	justify-content: center;
	align-items: center;
}
.outlinebtn:hover {
	text-shadow: -1px 1px 3px   rgba(0,0,0,.5);
	box-shadow:  -1px 1px 3px 0 rgba(0,0,0,.5),
		   inset -1px 1px 3px 0 rgba(0,0,0,.5);
}

.sign {
	display: block;
	text-decoration: none;
	font-size: 1.2em;
	padding: 10px;
	transition: background .6s ease;
}
.sign:hover {background-color: #F2E8FF}

.avatar {
	display: block;
	position: relative;
	flex: 1 0 150px;
	height: 150px;
	margin: var(--padding);
	text-align: center;
}
.avatar>img {
	border-radius: 4px;
	width: inherit;
	height: inherit;
}
#change_ava {
	position: absolute;
	top: 0;
	left: 50%;
	bottom: 0;
	width: 150px;
	margin-left: -75px;
	font-size: 64px;
	color: #FFF;
	cursor: pointer;
	background-color: rgba(0,0,0,.2);
	border-radius: 4px;
	transition: background-color .4s;
}
.avatar:hover #change_ava {background-color: rgba(0,0,0,.4)}
.pupilava {
	flex: 0 0 4em;
	height: 4em;
	margin-bottom: 0;
}

#rootinfo {
	padding: var(--padding);
	padding-bottom: 0;
	flex: 200 0 27em;
}
#infotable {
	display: table;
	width: 100%;
}
#infotable>div {
	display: table-row;
	min-width: 300px;
}
.fullinfo {
	width: 100%;
	padding: 0 var(--padding) var(--padding);
	box-sizing: border-box;
}
.fullinfo h2 {
	margin: 1em 0 0;
}
.fullinfo .label {
	margin-top: 2em;
}
.fullinfo .label,
#infotable .label {
	color: var(--c-minor-txt);
	line-height: 30px;
}
.label .help {
	margin-left: 3px;
	vertical-align: text-top;
}
.fullinfo .checkboxlabel {
	margin-top: .6em;
	display: block;
}
.fullinfo .youtube {
	margin: var(--padding) calc(0px - var(--padding));
}

.fullinfo select {max-width: 100%}
#infotable>div>div {display: table-cell;vertical-align: middle}
#infotable>div>div:first-child {
	text-align: right;
	white-space: nowrap;
	padding-right: .7em;
	width: 10%;
	vertical-align: middle;
}
.pseudoinput {
	display: inline-block;
	margin-right: 1em;
	cursor: pointer;
}
.pseudoinput>i {
	color: var(--c-minor-txt);
}
.fullinfo p {
	text-indent: 1em;
	margin: 1em;
}
#infotable input {
	width: 100%;
	box-sizing: border-box;
}
#infotable input[type=number] {
	width: 6em;
	padding-right: 0;
}
span[data-lang] {
	display: block;
	margin: 0;
}
#about_me {
	width: 100%;
	height: 15em;
	resize: vertical;
	padding: 1em 1.4em;
	line-height: 1.6;
}
#add_promo {
	vertical-align: top;
	margin-bottom: 1rem;
}
#promo {
	width: 304px;
	height: 171px;
}
#promo[src=""] {
	display: none;
}
.info {margin-top: 2em}
#multiunit {margin: 0 -.5em .5em}
.newsoc {
	gap: .5em;
	margin-bottom: .5em;
	max-width: 400px;
}
.newsoc select,
.newsoc input {
	flex: 1 1 auto;
	width: 3rem;
}

.settings #setting_menu {
	margin-right: var(--padding);
}
.settings .widget .fullinfo {
	flex-grow: 1;
}
@media (min-width: 400px) {
	.settings .widget .fullinfo {
		min-width: 365px;
	}
}
.settings .widget .fullinfo .label {
	text-wrap: balance;
	line-height: 1.2;
	margin-bottom: .2em;
}
.settings .widget .fullinfo select {
	width: 100%;
}
a.user_brief_info {
	border-bottom: 1px solid var(--c-panel);
	padding-bottom: var(--padding);
	color: var(--c-txt);
}
a.user_brief_info .avatar {
	margin-bottom: 0;
	margin-right: 0;
}
a.user_brief_info .avatar .favormark {
	margin-right: -27px;
}
.root_data {
	flex: 50 1 200px;
	margin: var(--padding) var(--padding) 0;
	padding: 0;
}
.actions {
	flex: 1 0 200px;
}
.actions .button {
	flex: auto;
	transform: scale(.9);
	text-align: left;
	padding-left: calc(21px + 2em);
}
.username>small {
	float: right;
	color: var(--c-minor-txt);
}
.few_words,
.small_info {
	font-size: 13px;
}
.small_info,
.root_data .declaration {
	max-height: 3em;
	overflow: hidden;
	text-overflow: ellipsis;
}
.root_data .declaration {
	margin-top: 1em;
	min-width: 250px;
}
.small_info {
	max-height: 4.5em;
	margin-top: .3em;
}

#warranty_box {
	color: var(--c-success);
	padding: 0 var(--padding);
}

#saveblock {
	width: 100%;
	padding: var(--padding) 0 0;
	border-top: 1px solid var(--c-delimiter);
	text-align: center;
}
#saveblock>* {
	margin: var(--padding);
	margin-top: 0;
}
#saveblock p {
	font-size: .9em;
	font-style: italic;
	hyphens: none;
}
#saveblock p.desc,
#saveblock .coursetitle {
	text-align: left;
	margin: 0;
}
#saveblock .coursetitle {
	padding-left: var(--padding);
}

.flexfooter {
	text-align: center;
	padding: .5em 0 ;
}
.flexfooter a {
	display: inline-block;
	white-space: nowrap;
	padding: 0 .5em;
}
.topinfo .widget {
	flex: 1 0 30%;
	min-width: 15em;
}

#ministat {
	justify-content: space-around;
	flex-direction: column;
	text-align: left;
}
#ministat div {
	margin: 1px;
	font-size: .8em;
	overflow: hidden;
	width: 100%;
}
#ministat div b {
	display: block;
	float: right;
	background-color: var(--c-main-bg);
	color:var(--c-panel-txt);
	font-size: .9em;
	font-weight: 500;
	border-radius: 1em;
	padding: .1em 1.5em;
}
#start, .forstudent .button {
	font-size: 1em;
	margin-bottom: 1em;
	width: 14em;
}
#start {
	padding-left: 4em;
	background-image: var(--ico-start);
	background-size: 18px;
	width: auto;
}
.widget.midler {
	align-items: center;
	justify-content: center;
	text-align: center;
	padding: 1em;
	box-sizing: border-box;
}
.widget .inwidget .empty {
	padding: 0;
	position: absolute;
	left: 0;
	right: 0;
	top: 0;
	bottom: 0;
	display: flex;
	align-items: center;
	justify-content: center;
	opacity: .5;
}


/* Архив */
#open_total_hashtag_list {
	cursor: default;
}
#open_total_hashtag_list::before {
	margin-bottom: 4px;
}
#open_total_hashtag_list,
#total_hashtag_list {
	font-size: 13px;
	margin: 0 var(--padding);
}
#total_hashtag_list .hashtag:not(:last-of-type)::after {
	content: ", ";
	margin-right: .3em;
}

#archive_list, #agenda {margin: 1em 0}
.arrowava {
	display: inline-block;
	background: #40C4FF;
	padding: 5px;
	margin: 5px;
	border-radius: 50%;
	border-top-right-radius: 0;
	transform: rotate(45deg);
	vertical-align: middle;
}
.arrowava>.ava {
	margin: 0;
	transform: rotate(-45deg);
	display: block;
	width: 30px;
	height: 30px;
}
.archlist {
	border: 0;
	margin-left: calc(var(--padding) - 5px);
	padding: 0;
}
.archlist.join::before {
	content: "";
	display: block;
	position: absolute;
	background: #8C9EFF;
	width: 6px;
	height: 12px;
	left: 22px;
	bottom: 47px;
}
.archlist.given.join::before {
	background: #40C4FF;
}
.archlist i {
	display: inline;
	margin-left: 0;
}
.archlist h4 {
	font-weight: 500;
	text-overflow: ellipsis;
	overflow: hidden;
	white-space: nowrap;
}
.archlist h4,
.archlist p {
	position: absolute;
	left: 105px;
	top: 5px;
	width: calc(100% - 110px);
	height: 25px;
}
.archlist_for_hw .archlist h4,
.archlist_for_hw .archlist p {
	width: calc(100% - 110px - 57px);
}
.archlist p {
	top: 25px;
	margin: 0;
	color: var(--c-minor-txt);
	line-height: 1;
}
.archlist p i {
	margin-right: .5em;
}
.delimiter {padding: 0 var(--padding)}
.stat {
	line-height: 2;
	text-align: center;
}
.stat span {
	display: block;
	white-space: nowrap;
	background-color: #F4E7FF;
	border-radius: 1em;
}
#tsklist a:not(.act):hover {background-color: var(--c-filter-hover)}
.hashtag, .teachtag {color: var(--c-link); cursor:pointer; margin: 0 .3em}
.hashtag:hover, .teachtag:hover {text-decoration: underline}

/* Повестка дня */
.lesson_soon {
	display: flex;
	align-items: center;
	margin: 4px 1em;
	padding: .4em 1em;
	background-color: rgba(118,255,3,.1);
	transition: background-color ease-out .3s;
}
.lesson_soon.starter {
	background-image: var(--ico-start);
	background-repeat: no-repeat;
	cursor: pointer;
}
.lesson_soon b {
	white-space: nowrap;
}
.lesson_soon.my {
	flex-direction: row-reverse;
}
.lesson_soon.my>div {
	text-align: right;
}
.lesson_soon.my img {
	margin: 0 0 0 1em;
	width: 40px;
	height: 40px;
}
.lesson_soon.forme .arrowava {
	margin: 0 1em 0 0;
	flex: 0 0 auto;
}
.lesson_soon.forme {
	background-color: rgba(105,240,174,.1);
}
.lesson_soon.displaced {
	background-color: rgba(255,160,0,.1);
}
.lesson_soon.my:hover {
	background-color: rgba(118,255,3,.4);
}
.lesson_soon.forme:hover {
	background-color: rgba(105,240,174,.4);
}
.lesson_soon.displaced:hover {
	background-color: rgba(255,160,0,.4);
}
.lesson_more {
	text-align: center;
	margin-top: .7em;
}

/* Список контактов */
#contacts_list {
	align-content: flex-start;
	justify-content: flex-start;
	gap: .7em 0;
	padding: .5em .4em;
}
.content>#contacts_list {
	padding: calc(var(--padding) - .6em);
}
#contacts_list h2 {
	line-height: 65px;
}
#add, #more {
	cursor: pointer;
	color: var(--c-txt);
}
#add div, #more div {
	background: #CAC3FD var(--ico-add) center / 30px no-repeat;
	width: 60px;
	height: 60px;
	border-radius: 50%;
	margin: auto;
	transition: background-color .3s;
	transform: scale(.8);
}
#add:hover div, #more:hover div {
	background-color: #7368BB;
}
 #more div {
	background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 60 60' fill='white'%3E%3Ccircle cx='7' cy='30' r='7'/%3E%3Ccircle cx='30' cy='30' r='7'/%3E%3Ccircle cx='53' cy='30' r='7'/%3E%3C/svg%3E");
}

.pupil {
	margin: 5px;
	border: 5px solid #FFF;
	display: inline-block;
}
#body .received .arrowava, #body .Ipupil {background: #8C9EFF}
#body .Itutor {background: #40C4FF}

.strt {background-image: var(--ico-start)}
.prfl {background-image: var(--ico-profile)}
.mssg {background-image: var(--ico-send)}
.memo:not(.filled) {background-image: var(--ico-paper)}
.memo.filled.button {background-image: var(--ico-fillpaper)}
.blck {background-image: var(--ico-trash)}
.addc {background-image: var(--ico-addc)}
.fvrt {background-image: var(--ico-heart)}
.button.delf {background-image: var(--ico-notheart)}

.tap:hover {background-color: #68BBB1}
.tap.blck:hover {background-color: #D44A4A}
.tap.mssg:hover {background-color: #FF8C00}
.tap.delf:hover {
	background-image: var(--ico-not);
	background-size: 3em;
	background-color: #CCC;
}

/*Окно запуска урока*/
#right-sidebar #sliding_window {
	position: absolute;
	min-height: 72px;
	padding: 0;
	margin: 0;
	box-sizing: border-box;
	border-radius: 16px;
	right: 0;
	top: 60px;
	overflow: visible;
	background: var(--c-popup-bg);
	transition: top ease-out .4s;
}
#sliding_window:after,
#sliding_window:before {
	top: calc(50% - 18px);
}
#selected_student_ava {
	display: block;
	position: absolute;
	width: 60px;
	height: 60px;
	right: 6px;
	top: -23px;
	border-radius: 50%;
	z-index: 2;
	background-color: #CAC6FE;
	border: 2px solid #FFF;
}
#sliding_window h4 {
	margin: 12px 12px 0;
}
#sliding_window #start_for.button {
	padding-right: 30px;
	padding-left: .7em;
	margin: 3px 33px 0 4px;
	width: auto;
	font-weight: normal;
	text-align: left;
	border-radius: 10px;
}
#sliding_window .button>span {
	width: 100%;
	display: block;
	text-overflow: ellipsis;
	overflow: hidden;
}
#sliding_window>i {
	font-size: .8em;
	position: absolute;
	left: 1em;
	top: 1px;
}
#start_ano {
	position: absolute;
	display: block;
	left: 0;
	right: 0;
	bottom: 6px;
	text-align: center;
	font-size: .8em;
}

#sliding_window #del_student {
	position: absolute;
	font-size: 26px;
	top: 20px;
	right: .3rem;
	border: 2px solid currentColor;
	z-index: 3;
}

.user_card a.urb {
	position: absolute;
	right: 5px;
	top: 5px;
}

#interactive_search,
#selector {
	position: relative;
	width: 85%;
	width: calc(100% - 2rem);
	margin: 1rem;
	z-index: 2;
}
#popup #interactive_search,
#popup #selector{
	width: 100%;
	margin: .5em 0;
}
#popup .popu2col {
	column-count: 2;
	line-height: 2;
}
#popup .popu2col label {
	margin: 0;
	display: block;
	text-align: left;
	padding-left: 1em;
}
#popup .popu2col label [type=checkbox] {
	margin-right: .5em;
}
#selector {
	background: var(--c-content-bg);
	color: var(--c-txt);
	position: absolute;
	left: 0;
	top: 25px;
	z-index: 1;
	box-shadow: 1px 2px 16px 0 rgba(0,0,0,.2);
}
#selector .error {margin: 0}
#selector .note {
	display: block;
	font-size: 12px;
	padding: 1em;
}
#selector a,
#live_search {
	color: inherit;
	align-items: center;
	flex-wrap: nowrap;
}
#selector a.act {background: var(--c-delimiter)}
#selector img,
#followers_list img {
	width: 30px;
	height: 30px;
	border-radius: 50%;
	margin: 4px 8px 4px 4px;
	background: #CAC6FE;
}
#selector span {
	font-size: 15px;
	line-height: 17px;
	max-height: 34px;
	overflow: hidden;
	text-overflow: ellipsis;
}
#followers_list a {
	align-items: center;
	flex-wrap: nowrap;
	margin: -.5em 0 .5em;
}

.completed {
	width: 30px;
	position: absolute;
	left: 105%;
	left: calc(100% + 3em);
	bottom: 0;
	top: 0;
	background: transparent url('/pic/tick_in_circle.svg') center no-repeat;
	background-size: contain;
}

#news_list>a,
#news_list article {
	border: 0 solid var(--c-delimiter);
	padding: 1em;
	display: block;
}
#news_list>a:not(:last-child) {
	border-bottom-width: 1px;
}
#news_list article {
	border-top-width: 1px;
	padding: 0;
	margin-top: 1em;
}
#news_list article h2 {
	margin-top: 1rem;
}
#news_list a h2 {
	font-size: 1em;
	line-height: 1.6;
	margin: 0;
	color: var(--c-txt);
}
#news_list a .news_content {display: none}
#news_list article .news_content {font-size: .9em; margin: 1rem var(--padding)}
#news_list .news_content ul,
#news_list .news_content ol {list-style-position: inside}
#news_list .newsdate {
	font-style: italic;
	font-size: .8em;
	color: var(--c-minor-txt);
	margin: 1rem var(--padding);
}
#news_list a .newsdate {
	margin: 0;
}

#live_search {
	position: relative;
}
#wordlist #live_search {margin-bottom: -.7em}
.chosen {
	position: relative;
}
.chosen img {
	border-radius: 50%;
	margin: 0;
	width: 100px;
	height: 100px;
	position: absolute;
	top: -50px;
	left: 100px;
}
.chosen>span {
	display: block;
	width: 100%;
	font-size: 20px;
	text-align: center;
	margin-top: 60px;
}
.inhomework .chosen {
	background: var(--c-delimiter);
	border-radius: 50px;
	margin: .5em 0;
	padding: 3px;
	align-items: center;
	flex-wrap: nowrap;
}
.inhomework .chosen img {
	position: static;
	margin-right: 1em;
	width: 30px;
	height: 30px;
}
.inhomework .chosen>span {
	white-space: nowrap;
	text-overflow: ellipsis;
	text-align: left;
	overflow: hidden;
	font-size: 1rem;
	margin: 0;
}
.chosen .kick,
.contact .kick {
	position: absolute;
    right: 4px;
}
.contact .kick {
    right: -2px;
	top: -2px;
	font-size: 24px;
	z-index: 3;
	border: 2px solid currentColor;
}

#toeditorlink {
	display: block;
	padding-left: 1em;
}


/* Тарифы */
#tariff_page small {
	display: inline-block;
	margin: 1px;
	padding: 3px 1em;
	font-size: .75rem;
	background: #000 linear-gradient(-20deg, #FA0, #FF0) repeat scroll 0% 0%;
	color: var(--c-txt);
	border-radius: 4px;
	letter-spacing: .5px;
	min-width: 2em;
	text-align: center;
	vertical-align: middle;
	text-shadow: none !important;
}
#tariff_page .outlinebtn small {
	margin-left: .4em;
	vertical-align: bottom;
}
#tariff_page ul {
	list-style-type: circle;
	list-style-position: inside;
	margin: .5em var(--padding) 2em;
}
.tariff_container {
	justify-content: space-evenly;
}
.tariff-box {
	color: #FFF;
	background-color: #6100ED;
	border-radius: 2.5rem;
	padding: 42px;
	flex: 0 0 23rem;
	box-sizing: border-box;
}
#tariff_page .tariff-box ul {
	list-style-type: none;
	text-align: right;
	margin: .5em 0;
}
#tariff_page .tariff-box ul li {
	white-space: nowrap;
}
.tariff-box .outlinebtn {
	width: 100%;
	margin-top: .8em;
}
#disposable-box {
	background: linear-gradient(150deg, #53C7C7 0%, #5893D9 100%);
}
#premium-box {
	background: linear-gradient(150deg, #DE55AD 0%, #8739CB 100%);
}
.tariff-box h2 {
	text-align: center;
	font-weight: bold;
	margin-bottom: 1em;
}
.tariff-box h3 {
	text-align: center;
	margin-bottom: .5em;
	white-space: nowrap;
}
.tariff-box p {
	font-size: .9em;
	font-style: italic;
	margin-top: 2em;
	text-align: center;
}
.tariff-logo {
	width: 120px;
	height: 120px;
	line-height: 120px;
	font-size: 1.5em;
	font-weight: normal;
	text-align: center;
	margin: .4rem auto;
	color: var(--c-toppanel);
	background-size: contain;
}

.promoform input {
	font-size: 1.3em;
	margin: 1rem;
}
.promoform .promoIn {
	padding: .5em 1em;
	text-align: center;
}

.pay_history {
	margin-bottom: calc(0px - var(--toppanel-h));
	border-top: var(--toppanel-h) solid transparent;
	border-bottom: 1px solid var(--c-panel);
	padding: 1em var(--padding);
	background-clip: padding-box;
}
.pay_history:last-child {
	border-bottom: 0;
	margin-bottom: 0;
}
.pay_history:target {
	background-color: bisque;
}
.pay_history small {
	color: #AAA;
	display: block;
}
.pay_history .summ {
	margin: 0 1rem 0 .5rem;
	color: var(--c-toppanel);
	font-size: 1.1em;
	font-weight: bold;
	flex: 0 0 3em;
}
.payico {
	border-radius: 50%;
	background-color: var(--c-toppanel);
	width: 2em;
	min-width: 2em;
	height: 2em;
	margin: 0 0 0 1rem;
	background-size: 1em;
	display: inline-block;
	vertical-align: middle;
}
.selected_rate {
	color: var(--c-btn-bg);
	font-weight: 500;
	margin-bottom: 2em;
}
.selected_rate .payico {
	font-size: 24px;
	display: block;
	margin: .5em auto;
}


/* задать ДЗ */
#preview>svg.o{
	font-size: 20rem;
	color: rgba(0,0,0,.06);
}
#preview>div {
	margin: -1rem 2em 0;
	transform: translateY(-10em);
}



#selectcourse {display: contents}
#homecourse .selectbox {
	flex: auto;
	margin: 0 var(--padding);
}
#homecourse h2 {
	margin-right: 0;
}
#homecourse .switcher {
	font-size: 20px;
	margin-left: 1em;
}
#homecourse svg {
	color: #EEE;
	font-size: 1.2em;
}
#homecourse .on svg {color: var(--c-check)}

#multiplechoice {
	margin: 1rem var(--padding);
	max-height: 15rem;
	max-width: calc(100vw - 30px - var(--padding) * 2);
	overflow: auto;
}
#multiplechoice .prelesson {
	color: var(--c-link);
	background-color: var(--c-main-bg);
	margin-top: 1px;
	padding: 0;
	font-size: .9em;
	line-height: 1.2em;
}
#multiplechoice .opn {
	display: inline-block;
	font-size: 15px;
	line-height: 25px;
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
	cursor: default;
}
#multiplechoice .chevron-b.opn:before {
	display: inline-block;
	margin: 0 8px 2px 10px;
}

#multiplechoice label {
	font-size: 14px;
	line-height: 25px;
	color: var(--c-minor-txt);
	margin: 0 16px 0 6px;
	white-space: nowrap;
	cursor: pointer;
}
#multiplechoice label>svg {
	margin-top: 5px;
	vertical-align: top;
}
#multiplechoice .pretask {
	background-color: var(--c-content-bg);
	border-top: 1px solid var(--c-main-bg);
	font-size: 15px;
	line-height: 25px;
	padding-left: 2em;
	clear: both;
	overflow: hidden;
	cursor: pointer;
	transition: background-color .3s;
}
#multiplechoice .pretask:hover {
	background-color: var(--c-filter-hover);
}
#multiplechoice .pretask.act {
	background: var(--c-btn-bg);
	color: var(--c-toppanel-txt);
	font-weight: bold;
}
#multiplechoice .pretask input {
	float: right;
	margin: 6px 16px 6px 6px;
}
#multiplechoice .pretask .ava {
	float: right;
	width: 20px;
	height: 20px;
	margin: 3px;
	cursor: help;
}
.mark, .prog {
	position: absolute;
	font-size: 16px;
	top: 5px;
	right: 5px;
	width: 42px;
	padding: 0 7px;
	color: var(--c-toppanel-txt);
	background-color: var(--c-toppanel);
	border-radius: 4px;
	text-align: right;
	text-indent: 0;
}
.prog {
	top: 26px;
	font-size: 12px;
	padding-top: 3px;
	line-height: 1.4;
	text-align: center;
	color: var(--c-panel-txt);
	background-color: var(--c-panel);
	height: auto;
	border-radius: 0 0 4px 4px;
}
.mark::after {content: "%"}

#multiplechoice .kat,
#accesssettings {display: none}
#liveswitcher {margin: var(--padding) 0 0 var(--padding)}

/* =============================== */
#reg {
	flex: auto;
	justify-content: center;
}
#reg h4 {
	text-align: center;
	font-size: 20px;
	line-height: 60px;
}
#reg .er {
	color: var(--c-warning-act);
}
#reg p {
	text-indent: 2em;
	margin: .25em auto;
	font-size: .9em;
	max-width: 800px;
}
#regform {
	display: block;
	position: relative;
	overflow: hidden;
	background-color: var(--c-content-bg);
	margin: 2em auto 1em;
	width: 90%;
	max-width: 420px;
	box-shadow: 0 4px 14px 1px rgba(0,0,0,.4);
	box-sizing: border-box;
	border-radius: 3px;
}
.tab {
	font-size: 14px;
	font-weight: normal;
	line-height: 50px;
	margin-bottom: 22px;
	width: 50%;
	float: left;
	text-align: center;
	color: var(--c-minor-txt);
	cursor: pointer;
	-webkit-user-select: none;
	-moz-user-select: none;
	user-select: none;
}
.tab.grey {
	background-color: var(--c-popup-bg);
	box-shadow: inset 2px -2px 2px 0 rgba(0,0,0,.1);
}
.tab.grey:first-child {box-shadow:inset -2px -2px 2px 0 rgba(0,0,0,.1)}

#regform .field {
	display: block;
	line-height: 35px;
	margin: 22px;
	background: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 14 14' fill='none' stroke='%23999' stroke-width='1.2' width='14' height='14'%3E%3Cpath d='M6.5 5.5l3-3q1-1 3-1v2l-4 4a3.7 3.7 0 1 1-2-2zm-2 4.5l-.5-.5' stroke-linecap='round'/%3E%3C/svg%3E") 10px center no-repeat;
	border: 1px solid #DFE3E3;
	border-radius: 3px;
	box-sizing: border-box;
	width: calc(100% - 44px);
	padding-left: 34px;
}
#regform input[type=email] {
	background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 14 14' fill='none' stroke='%23999' stroke-width='1.2' width='14' height='14'%3E%3Cpath d='M1.5 2.5q0-1 1-1h9q1 0 1 1v9q0 1-1 1h-9q-1 0-1-1zm0 1l4 3q1.5 1 3 0l4-3'/%3E%3C/svg%3E");
}
#regform #eye {
	width: 40px;
	height: 40px;
	font-size: 22px;
	color: #BBB;
	border: 0;
	background: transparent;
	justify-content: center;
	position: absolute;
	right: 22px;
	top: 141px;
	transition: color .3s;
	cursor: pointer;
}
#regform #eye:hover {
	color: #777;
}

#regform #recovery {
	margin: 22px;
	font-size: 15px;
	text-decoration: none;
	position: relative;
	top: -11px;
}
#regform .flex {
	justify-content: space-between;
	margin-bottom: 1em;
	gap: 1em;
}
#regform .button {
	width: 100% ;
	font-size: 1rem;
	line-height: 2;
}
#regform label {
	font-size: 14px;
}
#regform label .help {
	opacity: 1;
}
#regform>label {
	margin: 22px;
	text-align: justify;
	display: block;
	-moz-hyphens: auto;
	-webkit-hyphens: auto;
	hyphens: auto;
}
#regform .margin {
	margin: 22px;
}
#regform .variant {display: block}
#regform .variant:last-child {display: none}

#onlyForFriend {
	display: contents;
}

#sliding_window.additionally .button {
	margin: 12px 12px 0;
	width: calc(100% - 24px);
}
#sliding_window.additionally .button:last-child {
	margin-bottom: 12px;
}
.additionally .youtube:not(:empty) {
	--padding: 12px;
	margin-top: 12px;
}

@media (max-width: 1012px) {
	.tariff_container {font-size: 13px}
}
@media (max-width: 900px) {
	#interactive_search, #selector {font-size: 11px}
}
@media (max-width: 850px) {
	#sliding_window .button>span>span {display: none}
	.tariff_container h3 {white-space: normal}
	.tariff-box {
		margin: 1em;
		padding: 32px;
	}
}
@media (max-width: 680px) {
	#sliding_window,
	.hw_submission #helper,
	.hw_submission #menu-btn,
	.hw_submission #hovering::after,
	.hw_submission #hovering #tsklist .act::after,
	.hw_submission #hovering #tsklist .act::before {
		display: none;
	}
	.hw_submission #wrapper,
	.hw_submission #right-sidebar {
		display: contents;
	}
	#body>.hw_submission {
		flex-direction: column;
	}
	.hw_submission #hovering {
		position: static;
		order: 1;
		padding: 0;
		width: auto;
		min-height: initial;
		max-height: initial;
		overflow: visible !important;
	}
	.hw_submission #hovering .widget {
		width: auto;
		position: relative;
	}
	.hw_submission #hovering .widget h3 {
		background-color: transparent;
		position: absolute;
		width: 100%;
		top: -2em;
	}
	.hw_submission #hovering #tsklist {
		overflow: hidden;
		border-radius: 3px;
	}
	.hw_submission #hovering #tsklist:empty {
		padding: 4em 0;
	}
	.hw_submission #hovering #tsklist a {
		height: auto;
		font-size: 1rem;
		padding: .5rem 0;
	}
	.hw_submission #hovering #tsklist a:not(:last-of-type) {
		border-bottom: 1px solid var(--c-panel);
	}
	.hw_submission #hovering #tsklist .act {
		background: #CAC3FD;
		border-radius: 0;
	}
	.hw_submission #hovering #tsklist .icons,
	.hw_submission #hovering #tsklist .desck {
		white-space: normal;
		line-height: initial;
		text-indent: 0;
		padding: 1px .6rem;
	}
	.hw_submission #hovering .button[name=SENDHW] {
		margin: 1em auto;
	}
	.hw_submission #task_prev {
		order: 2;
		max-width: calc(100vw - 30px);
	}
}

@media (max-width: 730px) {
	.tariff-box {flex:auto;max-width:480px}
}
@media (max-width: 420px) {
	#rootinfo {
		min-width: 100px;
		padding: 0;
		flex: 0 0 calc(100% - 2em);
		margin-left: var(--padding);
		margin-bottom: var(--padding);
	}
	#infotable,
	#rootinfo #infotable div {display:block;min-width:100px;text-align:left}
	.label {padding-top:1em}
	#add_promo {display:block}
	.tariff-box {margin:0;padding:1.5rem;border-radius:0}
	.outlinebtn {padding:.5em}
	.archlist h4, .archlist p {left:88px;width:calc(100% - 88px)}
	.item_preview .arrowava {margin:5px 0}
	.archlist.join::before {left:17px}

	.archlist_for_hw .prog {right:-30px;border-top-right-radius:0;border-bottom-right-radius:0}
	.archlist_for_hw .mark {right:-30px;border-top-right-radius:0;border-bottom-right-radius:0}
	.archlist_for_hw .archlist h4, .archlist_for_hw .archlist p {width:calc(100% - 88px - 27px)}
}
@media (max-width: 350px) {
	.pupilava + .root_data {flex: 1 1 100px}
	.tariff_container {font-size: 12px}
}